import request from '@/utils/request'

// 查询被申请人案件列表
export function respondentList(data) {
	return request({
		'url': '/evidence/all',
		method: 'get',
		params: data
	})
}
// 查询详情
export function respondentDetail(data) {
	return request({
		'url': `/evidence/${data}`,
		method: 'get',
	})
}
// 查询仲裁员列表
export function arbitratorList(data) {
	return request({
		'url': `/caseApplication/listMediator`,
		method: 'get',
		params: data
	})
}
// 确认证据
export function evidenceConfirm() {
	return request({
		'url': `/evidence/confirm`,
		method: 'put',
	})
}
// 案件质证
export function evidenceCrossexami(data) {
	return request({
		'url': `/evidence/crossexami`,
		method: 'post',
		data: data
	})
}
// 查询物流信息
export function logistics(data) {
	return request({
		'url': `/adjudication/logistics`,
		method: 'get',
		data: data
	})
}
// 查询案件列表
export function caseApplicationList(data) {
	return request({
		'url': `/caseApplication/list`,
		method: 'get',
		params: data
	})
}
// 调解系统查看相关案件
export function caseApplicationTj(data) {
	return request({
		'url': `/caseApplication/list`,
		method: 'get',
		params: data
	})
}
// 调解系统查看相关案件详情
export function selectById(data) {
	return request({
		'url': `/caseApplication/selectById`,
		method: 'get',
		params: data
	})
}
// 调解系统选择仲裁员时间
export function updateBooking(data) {
	return request({
		'url': `/caseApplication/updateBooking`,
		method: 'post',
		data: data
	})
}
// 查询按钮列表
export function queryCaseFlowInfo(data) {
	return request({
		'url': `/case/flow/queryCaseFlowInfo`,
		method: 'post',
		data: data
	})
}

// 根据机构id查询模板
export function getTemplate(data) {
	return request({
		url: `/deptIdentify/getTemplate`,
		method: 'get',
		params: data
	})
}

// 根据身份证获取生日和性别
export function getInfoByIdCard(query) {
	return request({
		url: '/caseApplication/getInfoByIdCard',
		method: 'get',
		params: query
	})
}

/** 新增案件 */
export function caseApplicationInsert(data) {
	return request({
		url: '/caseApplication/insert',
		method: 'post',
		data: data
	})
}
// 修改立案申请接口
export function updateComfire(data) {
	return request({
		url: "/caseApplication/update",
		method: "post",
		data: data,
	})
}
//提交案件
export function caseAppSubmit(data) {
	return request({
		url: '/caseApplication/submit',
		method: 'post',
		data: data
	})
}
/** 根据id查询案件信息 */
export function caseApplicationSelectById(data) {
	return request({
		url: '/caseApplication/selectById',
		method: 'get',
		params: data
	})
}
// 删除案件
export function caseDelete(data) {
	return request({
		url: '/caseApplication/delete',
		method: 'post',
		data: data
	})
}
//   案件id查询缴费清单
export function selectPaymentDetail(data) {
	return request({
		url: '/pay/selectPaymentDetail',
		method: 'get',
		params: data
	})
}
// 申请人缴费确认
export function confirmPaid(data) {
	return request({
		url: '/pay/confirmPaid',
		method: 'post',
		data: data
	})
}
//默认新增显示
export function getUserInfo(data) {
	return request({
		url: '/caseApplication/getUserInfo',
		method: 'get',
		params: data
	})
}
// 被申请人缴费确认
export function resConfirmPaid(data) {
	return request({
		url: '/pay/resConfirmPaid',
		method: 'post',
		data: data
	})
}
//申请人和被申请人签收调解书
export function msCaseSign(data) {
	return request({
		url: "/mssignSeal/msCaseSign",
		method: "post",
		data: data,
	})
}
//证件类型
export function idType(data) {
	return request({
		url: '/system/dict/data/type/id_type',
		method: 'get',
		params: data
	})
}